from fsaclasses import State

class FSAState(State):
    def __init__(self, name, fsaModel, final = False):
        State.__init__(self, name, final)
        self.model = fsaModel
        
    def getName(self):
        return self.name
